POST gls/api/reports/glspdcinventory
Request Information
URI Parameters
None.
Body Parameters
ReportRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| BooksOfAccountId | integer |
None. |
|
| FromReference | string |
None. |
|
| ToReference | string |
None. |
|
| Status | integer |
None. |
|
| UseDateFilter | boolean |
None. |
|
| FromDate | date |
None. |
|
| ToDate | date |
None. |
|
| FromAccountCode | string |
None. |
|
| ToAccountCode | string |
None. |
|
| FromAuxiliaryCode | string |
None. |
|
| ToAuxiliaryCode | string |
None. |
|
| FromPayorCode | string |
None. |
|
| ToPayorCode | string |
None. |
|
| IsCashAccountFilter | boolean |
None. |
|
| CashAccountCodes | Collection of string |
None. |
|
| IsVoucherFilter | boolean |
None. |
|
| IsPdcInventoryFilter | boolean |
None. |
|
| Year | integer |
None. |
|
| Months | Collection of integer |
None. |
|
| IsMonthlySummaryAccountFilter | boolean |
None. |
|
| IsMonthlySummaryAccountAuxFilter | boolean |
None. |
|
| AmountType | string |
None. |
|
| UserId | integer |
None. |
|
| DisplayParticulars | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"booksOfAccountId": 1,
"fromReference": "sample string 2",
"toReference": "sample string 3",
"status": 1,
"useDateFilter": true,
"fromDate": "2026-04-07T22:22:55.5569568+08:00",
"toDate": "2026-04-07T22:22:55.5569568+08:00",
"fromAccountCode": "sample string 5",
"toAccountCode": "sample string 6",
"fromAuxiliaryCode": "sample string 7",
"toAuxiliaryCode": "sample string 8",
"fromPayorCode": "sample string 9",
"toPayorCode": "sample string 10",
"isCashAccountFilter": true,
"cashAccountCodes": [
"sample string 1",
"sample string 2"
],
"isVoucherFilter": true,
"isPdcInventoryFilter": true,
"year": 1,
"months": [
1,
2
],
"isMonthlySummaryAccountFilter": true,
"isMonthlySummaryAccountAuxFilter": true,
"amountType": "sample string 16",
"userId": 1,
"displayParticulars": true
}
application/xml, text/xml
Sample:
<ReportRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO">
<AmountType>sample string 16</AmountType>
<BooksOfAccountId>1</BooksOfAccountId>
<CashAccountCodes xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</CashAccountCodes>
<DisplayParticulars>true</DisplayParticulars>
<FromAccountCode>sample string 5</FromAccountCode>
<FromAuxiliaryCode>sample string 7</FromAuxiliaryCode>
<FromDate>2026-04-07T22:22:55.5569568+08:00</FromDate>
<FromPayorCode>sample string 9</FromPayorCode>
<FromReference>sample string 2</FromReference>
<IsCashAccountFilter>true</IsCashAccountFilter>
<IsMonthlySummaryAccountAuxFilter>true</IsMonthlySummaryAccountAuxFilter>
<IsMonthlySummaryAccountFilter>true</IsMonthlySummaryAccountFilter>
<IsPdcInventoryFilter>true</IsPdcInventoryFilter>
<IsVoucherFilter>true</IsVoucherFilter>
<Months xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</Months>
<Status>1</Status>
<ToAccountCode>sample string 6</ToAccountCode>
<ToAuxiliaryCode>sample string 8</ToAuxiliaryCode>
<ToDate>2026-04-07T22:22:55.5569568+08:00</ToDate>
<ToPayorCode>sample string 10</ToPayorCode>
<ToReference>sample string 3</ToReference>
<UseDateFilter>true</UseDateFilter>
<UserId>1</UserId>
<Year>1</Year>
</ReportRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.